/* This file is part of T-Rekt NX!

Copyright (C) 2018/2019 Manuel Rodrguez Matesanz
>    This program is free software: you can redistribute it and/or modify
>    it under the terms of the GNU General Public License as published by
>    the Free Software Foundation, either version 3 of the License, or
>    (at your option) any later version.
>
>    This program is distributed in the hope that it will be useful,
>    but WITHOUT ANY WARRANTY; without even the implied warranty of
>    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
>    GNU General Public License for more details.
>
>    You should have received a copy of the GNU General Public License
>    along with this program.  If not, see <http://www.gnu.org/licenses/>.
>    See LICENSE for information.
*/


#pragma once
#ifndef _FILEPATHS_HPP_
#define _FILEPATHS_HPP_

// save data
#define DATA_FOLDER "sdmc:/switch/Manurocker95/T-Rekt/"
#define DATA_FILE "sdmc:/switch/Manurocker95/T-Rekt/data.sav"

#define LOCALIZATION_TEXT_FOLDER  "romfs:/Assets/Files/"
#define LOCALIZATION_TEXT_FILE "romfs:/Assets/Files/english.localization"
#define LOCALIZATION_TEXT_FILE_ES "romfs:/Assets/Files/es.localization"


/* Sounds */
#define SND_BGM_GAME  "romfs:/Assets/Audio/Music/game.mp3"
#define SND_BGM_TITLE  "romfs:/Assets/Audio/Music/title.mp3"

//SFX
#define SND_SFX_TAP "romfs:/Assets/Audio/SFX/tap.wav"
#define SND_SFX_DINO_SCREAM "romfs:/Assets/Audio/SFX/dinoScream.wav"
#define SND_SFX_FOOTSTEP "romfs:/Assets/Audio/SFX/footstep.wav"
#define SND_SFX_SPLASH "romfs:/Assets/Audio/SFX/bbb.wav"

/* Images */
// Backgrounds
#define IMG_BACKGROUND "romfs:/Assets/Graphics/Background.png"
#define IMG_BACKGROUND_TITLE "romfs:/Assets/Graphics/BackgroundTitle.png"
#define IMG_PAUSED "romfs:/Assets/Graphics/imgPause.png"

//Splash Screen
#define IMG_SPLASHSCREEN "romfs:/Assets/Graphics/Splash.png"

// Loading Screen
#define IMG_BG_LOADING "romfs:/Assets/Graphics/Loading.png" 

// Introduction
#define IMG_INTRODUCTION "romfs:/Assets/Graphics/intro.png" 

// Buttons
#define IMG_BTN_PLAY "romfs:/Assets/Graphics/playBtn.png" 
#define IMG_BTN_PLAY_PRESSED "romfs:/Assets/Graphics/playBtnPressed.png" 
#define IMG_BTN_PLAY_NON_INTERACTABLE "romfs:/Assets/Graphics/playBtnNonInteractable.png" 

#define IMG_BTN_SETTINGS "romfs:/Assets/Graphics/settingsBtn.png" 
#define IMG_BTN_SETTINGS_PRESSED "romfs:/Assets/Graphics/settingsBtnPressed.png" 
#define IMG_BTN_SETTINGS_NON_INTERACTABLE "romfs:/Assets/Graphics/settingsBtnNonInteractable.png"

#define IMG_BTN_SCORE "romfs:/Assets/Graphics/scoreBtn.png" 
#define IMG_BTN_SCORE_PRESSED "romfs:/Assets/Graphics/scoreBtnPressed.png" 
#define IMG_BTN_SCORE_NON_INTERACTABLE "romfs:/Assets/Graphics/scoreBtnNonInteractable.png" 


#define IMG_BTN_BACK "romfs:/Assets/Graphics/back.png" 
#define IMG_BTN_BACK_PRESSED "romfs:/Assets/Graphics/backPressed.png" 
#define IMG_BTN_BACK_NON_INTERACTABLE "romfs:/Assets/Graphics/backNotInteractable.png" 

#define IMG_BTN_PAUSE "romfs:/Assets/Graphics/pause.png" 
#define IMG_BTN_PAUSE_PRESSED "romfs:/Assets/Graphics/pausePressed.png" 
#define IMG_BTN_PAUSE_NON_INTERACTABLE "romfs:/Assets/Graphics/pauseNotInteractable.png"

#define IMG_BTN_EXIT "romfs:/Assets/Graphics/exit.png" 
#define IMG_BTN_EXIT_PRESSED "romfs:/Assets/Graphics/exitPressed.png" 
#define IMG_BTN_EXIT_NON_INTERACTABLE "romfs:/Assets/Graphics/exitNotInteractable.png" 

// Toggles
#define IMG_TOGGLE_MUTE_ON "romfs:/Assets/Graphics/mute_on.png" 
#define IMG_TOGGLE_MUTE_OFF "romfs:/Assets/Graphics/mute_off.png" 

#define IMG_TOGGLE_INGAME_MUTE_ON "romfs:/Assets/Graphics/nosound.png" 
#define IMG_TOGGLE_INGAME_MUTE_OFF "romfs:/Assets/Graphics/sound.png" 

// Logo
#define IMG_LOGO "romfs:/Assets/Graphics/Logo.png"

// IDLE
#define IMG_DINO_SPRITE "romfs:/Assets/Graphics/dinoMale.png"
#define IMG_DINO_SPRITE_F "romfs:/Assets/Graphics/dinoFemale.png"
//WALKING
#define IMG_DINO_SPRITE_WALKING "romfs:/Assets/Graphics/dinoMaleWalking.png"
#define IMG_DINO_SPRITE_F_WALKING "romfs:/Assets/Graphics/dinoFemaleWalking.png"

#define IMG_METEORITE "romfs:/Assets/Graphics/meteorite.png"

/* Fonts */
#define FONT_NORMAL "romfs:/Assets/Fonts/normal.ttf"

#endif